<div class="card accordion-item" >
    <h2 class="accordion-header" id="#faq-category-{{props.parentIndex}}-field-{{props.index}}-title">
        <button class="accordion-button collapsed" data-bs-toggle="collapse" role="button" attr.data-bs-target="#faq-category-{{props.parentIndex}}-field-{{props.index}}" aria-expanded="false" attr.aria-controls="faq-category-{{props.parentIndex}}-field-{{props.index}}">
            <i *ngIf="fieldValue && !showInput" class="fa-solid fa-check me-2 text-success"></i>{{ props.myLabel }}
        </button>
    </h2>

    <div id="faq-category-{{props.parentIndex}}-field-{{props.index}}" class="collapse accordion-collapse" attr.aria-labelledby="#faq-category-{{props.parentIndex}}-field-{{props.index}}-title" attr.data-bs-parent="#faq-category-{{props.parentIndex}}-accordion">
        <div class="accordion-body" >
            <div *ngIf="showInput">
                <ng-container #fieldComponent></ng-container>
                <ng-container *ngTemplateOutlet="props.templateSaveBtn; context: { savesuccess : hideInput}"></ng-container>
            </div>
            <div *ngIf="!showInput" class="d-flex align-items-center justify-content-between">
                <ng-container *ngIf="fieldValue">
                    
                    <ng-container *ngIf="field.type=='file'">
                        <div class="d-flex flex-column">
                            <button *ngFor="let fileObject of fieldValue;let iFilePath = index" class="btn btn-primary mt-1" (click)="downloadFile(fileObject.chemin, fileObject.nom)">
                                {{fileObject.nom}}
                                <i class="fa-solid fa-download"></i>
                            </button>
                        </div>
                    </ng-container>
                    <ng-container *ngIf="field.type!='file'">
                        {{fieldValue}}
                    </ng-container>
                </ng-container>
                <span *ngIf="!fieldValue">Non défini</span>
                <button class="btn btn-warning btn-sm" (click)="edit()"><i class="fa fa-edit"></i></button>
            </div>
                
        </div>
    </div>
</div>